# Class yii\twig\Optimizer

Inheritance | yii\twig\Optimizer
Implements | Twig\NodeVisitor\NodeVisitorInterface
Source Code | https://github.com/yiisoft/yii2-twig/blob/master/Optimizer.php

Optimizer removes echo before special functions call and injects function name as an argument for the view helper calls.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
enterNode() |  | yii\twig\Optimizer
getPriority() |  | yii\twig\Optimizer
leaveNode() |  | yii\twig\Optimizer

## Method Details

enterNode() public method

public void enterNode ( \Twig\Node\Node $node, \Twig\Environment $env )
$node |  |
$env |  |

getPriority() public method

public void getPriority ( )

leaveNode() public method

public void leaveNode ( \Twig\Node\Node $node, \Twig\Environment $env )
$node |  |
$env |  |